Subject: bug#15839: 24.3.50; `isearch-allow-scroll': be able to scroll point off screen temporarily

From: Drew Adams <[email-masked]>
Date: Tue, 4 Dec 2018 16:32:47 -0800 (PST)

> > I've now tried what you ended up installing, and I see
> > that that's not the case (and that you removed the advice
> > that you might need to set `lazy-highlight-buffer' to t
> > to see highlighting when scrolling).
> >
> > What you installed does indeed seem to implement this
> > enhancement.  Thank you for that, and sorry for not
> > understanding and reacting negatively.
> 
> Sorry for replying to a wrong comment when closing this request,
> there are so many comments that I picked a wrong one.

I understand.  I too am lost in several threads (not to mention work ;-)).

> I completely implemented all points from your original request,
> and this new feature works so well, that I already customized
> `isearch-allow-scroll' to `unlimited' and started using it
> even without enabling `lazy-highlight-buffer'.

Yes, it works fine without `lazy-highlight-buffer', AFAICT.

What happened to "This is very difficult to
implement"? You seem to have silently (and
quickly) solved that one somehow.

> BTW, regarding another feature that you helped to develop,
> I just realized that the variable name `isearch-yank-on-move' is not
> the best one.  I propose a better name `isearch-move-to-yank'.

Sounds good.

Except that "move to" has a connotation of moving
to some place, e.g., move to a place where something
was yanked or will be yanked.

What about something like `cursor-movement-yanks'
or `movement-yanks' or `moving-yanks'?

---

FWIW, all such names, including `move-to-yank' would
be clearer with the RMS convention of having suffix
`-flag'.

That was the Emacs convention, until Stefan I think.
I still follow it.  And I use suffix `-p' for a
non-option variable.  (And yes, a Boolean variable
can be thought of as a (nullary) predicate.)